Method: agenticCaseReports.generate

Full name: projects.locations.instances.cases.agenticCaseReports.generate

Generates a agenticCaseReport based on a template.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/agenticCaseReports:generate

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent case.

Request body

The request body contains data with the following structure:

JSON representation
{
  "templateId": string,
  "overrideLlmInstruction": string,
  "title": string
}
Fields
templateId

string

Required. The ID of the template to use.

overrideLlmInstruction

string

Optional. Optional override for LLM instructions.

title

string

Required. The title of the report.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.agenticCaseReports.update

For more information, see the IAM documentation.